package stats;

import util.Array;

/**
 * A helper class for JointActionCounter
 * @author maz
 *
 */
public class JointAction {
  int[] actions;

  public JointAction(int[] actions) {
    this.actions = actions;
  }


  /**
   * Returns an output like "{0 8 3}"
   */
  public String toString(){
    return Array.arrayToString(actions);
  }
  @Override
  public boolean equals(Object obj) {
    JointAction other = (JointAction)obj;
    if (other.actions.length!=actions.length){
      return false;
    }
    for(int i=0;i<actions.length;i++){
      if (other.actions[i]!=actions[i]){
        return false;
      }
    }
    return true;
  }

  @Override
  public int hashCode() {
    int code = 0;
    for(int i=0;i<actions.length;i++){
      code=code * 37 + actions[i];
    }
    return code;
  }
  
  
}
